[application]

# App (Project) Name
name = "dashboard"

# Dioxus App Default Platform
default_platform = "web"

# resource (assets) file folder
asset_dir = "assets"

[web.app]

# HTML title tag content
title = "GenAI Dashboard"

# include `assets` in web platform
[web.resource]

# Additional CSS style files
style = []

# Additional JavaScript files
script = []

[web.resource.dev]

# Javascript code file
# serve: [dev-server] only
script = []


[web.watcher]

# when watcher trigger, regenerate the `index.html`
reload_html = true

# which files or dirs will be watcher monitoring
watch_path = ["src", "assets"]
